# List alerts (/docs/api/logs/alerts_list)

Alerts newest first: open (triggered or acknowledged) or resolved, with how often each repeated and its timeline of notifications.

`GET /v1/alerts`

```json
{
  "operationId": "alerts_list",
  "summary": "List alerts",
  "description": "Alerts newest first: open (triggered or acknowledged) or resolved, with how often each repeated and its timeline of notifications.",
  "tags": [
    "alerts"
  ],
  "security": [
    {
      "bearer": []
    }
  ],
  "parameters": [
    {
      "schema": {
        "type": "string",
        "enum": [
          "open",
          "triggered",
          "acknowledged",
          "resolved",
          "all"
        ],
        "default": "all"
      },
      "required": false,
      "name": "status",
      "in": "query"
    },
    {
      "schema": {
        "type": "string",
        "pattern": "^alr_[a-z0-9]{8,32}$"
      },
      "required": false,
      "name": "rule_id",
      "in": "query"
    },
    {
      "schema": {
        "type": "integer",
        "minimum": 1,
        "maximum": 200,
        "default": 50
      },
      "required": false,
      "name": "limit",
      "in": "query"
    }
  ],
  "responses": {
    "200": {
      "description": "OK",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "items": {
                "type": "array",
                "items": {
                  "type": "object",
                  "properties": {
                    "object": {
                      "type": "string",
                      "enum": [
                        "alert"
                      ]
                    },
                    "id": {
                      "type": "string",
                      "pattern": "^alt_[a-z0-9]{8,40}$"
                    },
                    "rule_id": {
                      "type": [
                        "string",
                        "null"
                      ],
                      "pattern": "^alr_[a-z0-9]{8,32}$"
                    },
                    "rule_name": {
                      "type": "string",
                      "maxLength": 80
                    },
                    "metric": {
                      "type": "string",
                      "enum": [
                        "error_rate",
                        "p95_latency",
                        "spend",
                        "budget_used",
                        "vendor_failure_spike",
                        "vendor_key_failing",
                        "billing_mismatch",
                        "cache_hit_rate",
                        "delivery_backlog",
                        "security_event",
                        "new_ip"
                      ]
                    },
                    "severity": {
                      "type": "string",
                      "enum": [
                        "info",
                        "warning",
                        "critical"
                      ]
                    },
                    "status": {
                      "type": "string",
                      "enum": [
                        "triggered",
                        "acknowledged",
                        "resolved"
                      ]
                    },
                    "subject": {
                      "type": [
                        "string",
                        "null"
                      ],
                      "maxLength": 200
                    },
                    "title": {
                      "type": "string",
                      "maxLength": 160
                    },
                    "message": {
                      "type": "string",
                      "maxLength": 500
                    },
                    "value": {
                      "type": [
                        "number",
                        "null"
                      ]
                    },
                    "threshold": {
                      "type": [
                        "number",
                        "null"
                      ]
                    },
                    "count": {
                      "type": "integer",
                      "minimum": 0
                    },
                    "started_at": {
                      "type": "string",
                      "format": "date-time"
                    },
                    "last_seen_at": {
                      "type": "string",
                      "format": "date-time"
                    },
                    "acknowledged_at": {
                      "type": [
                        "string",
                        "null"
                      ],
                      "format": "date-time"
                    },
                    "acknowledged_by": {
                      "type": [
                        "string",
                        "null"
                      ],
                      "maxLength": 200
                    },
                    "resolved_at": {
                      "type": [
                        "string",
                        "null"
                      ],
                      "format": "date-time"
                    },
                    "resolved_reason": {
                      "type": [
                        "string",
                        "null"
                      ],
                      "enum": [
                        "auto",
                        "manual",
                        "rule_changed",
                        null
                      ]
                    },
                    "muted": {
                      "type": "boolean"
                    },
                    "timeline": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "at": {
                            "type": "string",
                            "format": "date-time"
                          },
                          "type": {
                            "type": "string",
                            "enum": [
                              "triggered",
                              "repeated",
                              "escalated",
                              "notified",
                              "notify_failed",
                              "acknowledged",
                              "resolved",
                              "suppressed"
                            ]
                          },
                          "message": {
                            "type": "string",
                            "maxLength": 300
                          },
                          "destination_id": {
                            "type": [
                              "string",
                              "null"
                            ],
                            "pattern": "^dst_[a-z0-9]{8,32}$",
                            "default": null
                          },
                          "actor": {
                            "type": [
                              "string",
                              "null"
                            ],
                            "maxLength": 200,
                            "default": null
                          }
                        },
                        "required": [
                          "at",
                          "type",
                          "message"
                        ]
                      },
                      "maxItems": 60
                    }
                  },
                  "required": [
                    "object",
                    "id",
                    "rule_id",
                    "rule_name",
                    "metric",
                    "severity",
                    "status",
                    "subject",
                    "title",
                    "message",
                    "value",
                    "threshold",
                    "count",
                    "started_at",
                    "last_seen_at",
                    "acknowledged_at",
                    "acknowledged_by",
                    "resolved_at",
                    "resolved_reason",
                    "muted",
                    "timeline"
                  ]
                }
              }
            },
            "required": [
              "items"
            ]
          }
        }
      }
    },
    "default": {
      "description": "Error",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "error": {
                "type": "object",
                "properties": {
                  "code": {
                    "type": "string",
                    "enum": [
                      "invalid_request",
                      "unauthorized",
                      "insufficient_balance",
                      "max_cost_exceeded",
                      "scope_denied",
                      "budget_blocked",
                      "not_found",
                      "idempotency_mismatch",
                      "invalid_meta",
                      "rate_limited",
                      "upstream_error",
                      "response_buffer_limit",
                      "provider_capacity_unavailable",
                      "grid_saturated",
                      "upstream_timeout",
                      "conflict",
                      "internal_error",
                      "account_frozen",
                      "strict_filters",
                      "plan_limit_reached",
                      "validation_failed",
                      "deadline_exceeded",
                      "cancelled"
                    ]
                  },
                  "message": {
                    "type": "string"
                  },
                  "request_id": {
                    "type": "string"
                  },
                  "call_id": {
                    "type": "string"
                  },
                  "retry_after_ms": {
                    "type": "integer",
                    "minimum": 0
                  },
                  "details": {
                    "type": "object",
                    "additionalProperties": {}
                  }
                },
                "required": [
                  "code",
                  "message"
                ]
              }
            },
            "required": [
              "error"
            ]
          }
        }
      }
    }
  }
}
```
